com.corticon.eclipse.studio.vocabulary.core

## Interface IAttribute

- All Superinterfaces:
    java.lang.Cloneable, IElement

      public interface IAttribute
      extends IElement

  IAttribute is an immutable convenience facade that wraps an EAttribute and its annotation-based extension, making them appear to the client as a single object.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `MODE_BASE`
    `static java.lang.String` | `MODE_EXTENDED_PERSISTENT`
    `static java.lang.String` | `MODE_EXTENDED_TRANSIENT`

    - ### Fields inherited from interface com.corticon.eclipse.studio.vocabulary.core.IElement

      `IDENTITY_STRATEGY_IDENTITY, IDENTITY_STRATEGY_INCREMENT, IDENTITY_STRATEGY_NATIVE, IDENTITY_STRATEGY_SEQUENCE, IDENTITY_STRATEGY_UUID_HEX`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.corticon.rulesemf.canonicalvocabularymodel.CustomDataType` | `getCustomDataType()` Return the CustomDataType for this attribute (if specified).
    `java.lang.String` | `getDataType()` Return the Corticon data type.
    `org.eclipse.emf.ecore.EAttribute` | `getEAttribute()` Returns the EAttribute that this facade wraps.
    `org.eclipse.emf.ecore.EDataType` | `getEType()` Return the Ecore data type.
    `com.corticon.rulesemf.canonicalvocabularymodel.AttributeExtension` | `getExtension()` Return the AttributeExtension for this EAttribute if any.
    `java.lang.String` | `getFieldColumn()` Return the JPOX field:column.
    `java.lang.String` | `getFieldSequence()` Return the JPOX field:sequence property.
    `java.lang.String` | `getFieldSequenceNameColumnName()` Return the JPOX field:sequence-name-column-name property.
    `java.lang.String` | `getFieldSequenceNextvalColumnName()` Return the JPOX field:sequence-nextval-column-name property.
    `java.lang.String` | `getFieldSequenceTableName()` Return the JPOX field:sequence-table-name property.
    `java.lang.String` | `getFieldValueStrategy()` Return the JPOX field:value-strategy property.
    `java.lang.String` | `getJavaObjectFieldName()` Return the Java Object Field Name.
    `java.lang.String` | `getJavaObjectGetMethod()` Return the Java Object Get Method.
    `java.lang.String` | `getJavaObjectSetMethod()` Return the Java Object Set Method.
    `java.lang.String` | `getMandatory()` Return an indication of whether this attribute is mandatory.
    `java.lang.String` | `getMode()` Return the attribute mode (e.g., "Base", "Extended Transient", "Extended Persistent").
    `java.lang.String` | `getName()` Return the unqualified class name.
    `IEntity` | `getParentEntity()` Return the parent entity.
    `java.lang.String` | `getXMLNamespace()` Return the XML Namespace name.
    `java.lang.String` | `getXMLPropertyName()` Return the XML Property name.
    `boolean` | `isBase()` Convenience method to determine whether this is a base attribute.
    `boolean` | `isBoolean()` Convenience method to determine whether this is a Boolean attribute.
    `boolean` | `isDataTypeCustom()` Convenience method to determine whether the data type associated with this attribute is custom.
    `boolean` | `isDataTypeEnumeration()` Convenience method to determine whether the data type associated with this attribute is a custom data type/enumeration.
    `boolean` | `isDataTypeEnumerationValuesOnly()` Convenience method to determine whether the data type associated with this attribute is a custom data type, values-only enumeration.
    `boolean` | `isDataTypeSpecified()` Return an indication of whether a data type has been explicitly specified.
    `boolean` | `isDate()` Convenience method to determine whether this is a Date attribute.
    `boolean` | `isDateTime()` Convenience method to determine whether this is a DateTime attribute.
    `boolean` | `isDecimal()` Convenience method to determine whether this is a Decimal attribute.
    `boolean` | `isDescendent()` Convenience method to determine whether this is a descendent facade.
    `boolean` | `isExtendedPersistent()` Convenience method to determine whether this is an extended persistent attribute.
    `boolean` | `isExtendedTransient()` Convenience method to determine whether this is an extended transient attribute.
    `boolean` | `isFieldAccessed()` For Java object mapping, determine whether this attribute is "field-accessed" (i.e., the field is public and has no getter/setter method).
    `boolean` | `isIdentity()` Convenience method to determine whether this is an identity attribute.
    `boolean` | `isInteger()` Convenience method to determine whether this is an Integer attribute.
    `boolean` | `isMandatory()` Convenience method to determine whether this is attribute is mandatory.
    `boolean` | `isMethodAccessed()` For Java object mapping, determine whether this attribute is "method-accessed" (i.e., it has a getter and setter).
    `boolean` | `isString()` Convenience method to determine whether this is a String attribute.
    `boolean` | `isTime()` Convenience method to determine whether this is a Time attribute.
    `void` | `setDescendent(boolean abDescendent)` Setter for descendent facade indicator.

    - ### Methods inherited from interface com.corticon.eclipse.studio.vocabulary.core.IElement

      `findExtension, findExtension, getAllContents, getAllContents, getChildren, getChildren, getGUID, getNamedElement, getParent, getParent, getSource, hasChildren`

- - ### Field Detail

    - #### MODE_BASE

          static final java.lang.String MODE_BASE

      See Also:
        Constant Field Values

    - #### MODE_EXTENDED_TRANSIENT

          static final java.lang.String MODE_EXTENDED_TRANSIENT

      See Also:
        Constant Field Values

    - #### MODE_EXTENDED_PERSISTENT

          static final java.lang.String MODE_EXTENDED_PERSISTENT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getCustomDataType

          com.corticon.rulesemf.canonicalvocabularymodel.CustomDataType getCustomDataType()

      Return the CustomDataType for this attribute (if specified).
      Returns:
        CustomDataType or `null`

    - #### getDataType

          java.lang.String getDataType()

      Return the Corticon data type. This type is often referred to as the "UI Type" in Version 4.0 (e.g., "String", "Decimal").
      Returns:
        Corticon data type.

    - #### getEAttribute

          org.eclipse.emf.ecore.EAttribute getEAttribute()

      Returns the EAttribute that this facade wraps.
      Returns:
        EAttribute instance.

    - #### getEType

          org.eclipse.emf.ecore.EDataType getEType()

      Return the Ecore data type.
      Returns:
        EDataType instance.

    - #### getExtension

          com.corticon.rulesemf.canonicalvocabularymodel.AttributeExtension getExtension()

      Return the AttributeExtension for this EAttribute if any.
      Returns:
        AttributeExtension instance.

    - #### getFieldColumn

          java.lang.String getFieldColumn()

      Return the JPOX field:column.
      Returns:
        JPOX field:column property.

    - #### getFieldSequence

          java.lang.String getFieldSequence()

      Return the JPOX field:sequence property.
      Returns:
        JPOX field:sequence property.

    - #### getFieldSequenceNameColumnName

          java.lang.String getFieldSequenceNameColumnName()

      Return the JPOX field:sequence-name-column-name property.
      Returns:
        JPOX field:sequence-name-column-name property.

    - #### getFieldSequenceNextvalColumnName

          java.lang.String getFieldSequenceNextvalColumnName()

      Return the JPOX field:sequence-nextval-column-name property.
      Returns:
        JPOX field:sequence-nextval-column-name property.

    - #### getFieldSequenceTableName

          java.lang.String getFieldSequenceTableName()

      Return the JPOX field:sequence-table-name property.
      Returns:
        JPOX field:sequence-table-name property.

    - #### getFieldValueStrategy

          java.lang.String getFieldValueStrategy()

      Return the JPOX field:value-strategy property.
      Returns:
        JPOX field:value-strategy property.

    - #### getJavaObjectFieldName

          java.lang.String getJavaObjectFieldName()

      Return the Java Object Field Name.
      Returns:
        Java Object Field Name.

    - #### getJavaObjectGetMethod

          java.lang.String getJavaObjectGetMethod()

      Return the Java Object Get Method.
      Returns:
        Java Object Get Method.

    - #### getJavaObjectSetMethod

          java.lang.String getJavaObjectSetMethod()

      Return the Java Object Set Method.
      Returns:
        Java Object Set Method.

    - #### getMandatory

          java.lang.String getMandatory()

      Return an indication of whether this attribute is mandatory.
      Returns:
        `true` if this attribute is mandatory.

    - #### getMode

          java.lang.String getMode()

      Return the attribute mode (e.g., "Base", "Extended Transient", "Extended Persistent").
      Returns:
        Attribute mode.

    - #### getName

          java.lang.String getName()

      Return the unqualified class name.
      Specified by:
        `getName` in interface `IElement`
      Returns:
        Class name.

    - #### getParentEntity

          IEntity getParentEntity()

      Return the parent entity.
      Returns:
        Parent entity.

    - #### getXMLPropertyName

          java.lang.String getXMLPropertyName()

      Return the XML Property name.
      Returns:
        XML Property name.

    - #### getXMLNamespace

          java.lang.String getXMLNamespace()

      Return the XML Namespace name.
      Returns:
        XML Namespace name.

    - #### isBase

          boolean isBase()

      Convenience method to determine whether this is a base attribute.
      Returns:
        `true` if this is a base attribute.

    - #### isExtendedTransient

          boolean isExtendedTransient()

      Convenience method to determine whether this is an extended transient attribute.
      Returns:
        `true` if this is an extended transient attribute.

    - #### isExtendedPersistent

          boolean isExtendedPersistent()

      Convenience method to determine whether this is an extended persistent attribute.
      Returns:
        `true` if this is an extended persistent attribute.

    - #### isBoolean

          boolean isBoolean()

      Convenience method to determine whether this is a Boolean attribute.
      Returns:
        `true` if this is a Boolean attribute.

    - #### isDate

          boolean isDate()

      Convenience method to determine whether this is a Date attribute.
      Returns:
        `true` if this is a Date attribute.

    - #### isTime

          boolean isTime()

      Convenience method to determine whether this is a Time attribute.
      Returns:
        `true` if this is a Time attribute.

    - #### isDateTime

          boolean isDateTime()

      Convenience method to determine whether this is a DateTime attribute.
      Returns:
        `true` if this is a DateTime attribute.

    - #### isDecimal

          boolean isDecimal()

      Convenience method to determine whether this is a Decimal attribute.
      Returns:
        `true` if this is a Decimal attribute.

    - #### isIdentity

          boolean isIdentity()

      Convenience method to determine whether this is an identity attribute.
      Returns:
        `true` if this is an identity attribute.

    - #### isInteger

          boolean isInteger()

      Convenience method to determine whether this is an Integer attribute.
      Returns:
        `true` if this is an Integer attribute.

    - #### isString

          boolean isString()

      Convenience method to determine whether this is a String attribute.
      Returns:
        `true` if this is a String attribute.

    - #### isMandatory

          boolean isMandatory()

      Convenience method to determine whether this is attribute is mandatory.
      Returns:
        `true` if this attribute is mandatory.

    - #### isFieldAccessed

          boolean isFieldAccessed()

      For Java object mapping, determine whether this attribute is "field-accessed" (i.e., the field is public and has no getter/setter method).
      Returns:
        `true` if this attribute is field-accessed.

    - #### isMethodAccessed

          boolean isMethodAccessed()

      For Java object mapping, determine whether this attribute is "method-accessed" (i.e., it has a getter and setter).
      Returns:
        `true` if this attribute is method-accessed.

    - #### isDataTypeEnumeration

          boolean isDataTypeEnumeration()

      Convenience method to determine whether the data type associated with this attribute is a custom data type/enumeration.
      Returns:
        `true` if this attribute has an enumeration custom data type.

    - #### isDataTypeEnumerationValuesOnly

          boolean isDataTypeEnumerationValuesOnly()

      Convenience method to determine whether the data type associated with this attribute is a custom data type, values-only enumeration.
      Returns:
        `true` if this attribute has an enumeration custom data type.

    - #### isDataTypeSpecified

          boolean isDataTypeSpecified()

      Return an indication of whether a data type has been explicitly specified.
      Returns:
        `true` if this attribute has a user-specified data type.

    - #### isDataTypeCustom

          boolean isDataTypeCustom()

      Convenience method to determine whether the data type associated with this attribute is custom.
      Returns:
        `true` if this attribute has a custom data type.

    - #### isDescendent

          boolean isDescendent()

      Convenience method to determine whether this is a descendent facade.
      Returns:
        `true` if this is a descendent facade.

    - #### setDescendent

          void setDescendent(boolean abDescendent)

      Setter for descendent facade indicator.
      Parameters:
        `abDescendent` - `true` if this is a descendent facade.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.